airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AIRFLOW-3151) FlaskAppBuilder 1.12.0 is installed by default and breaks www_rbac UI.
Date Wed, 03 Oct 2018 21:30:00 GMT

    [ https://issues.apache.org/jira/browse/AIRFLOW-3151?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16637526#comment-16637526
] 

ASF GitHub Bot commented on AIRFLOW-3151:
-----------------------------------------

oliviersm199 opened a new pull request #3996: [AIRFLOW-3151] Pin FlaskAppBuilder 1.11.1 in
setup.py
URL: https://github.com/apache/incubator-airflow/pull/3996
 
 
   ### Jira
   
   My PR addresses the following [AIRFLOW-3151](https://issues.apache.org/jira/browse/AIRFLOW-3151)
   
   ### Description
   
   The PR pins the version of FlaskAppBuilder to 1.11.1 since the new release 1.12.0 breaks
the www_rbac UI. 
   
   ### Tests
   
   Doesn't require additional tests because not adding any code to source, just pinning flaskappbuilder
like flask-admin is pinned. 

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


> FlaskAppBuilder 1.12.0 is installed by default and breaks www_rbac UI.
> ----------------------------------------------------------------------
>
>                 Key: AIRFLOW-3151
>                 URL: https://issues.apache.org/jira/browse/AIRFLOW-3151
>             Project: Apache Airflow
>          Issue Type: Bug
>            Reporter: Olivier Simard-Morissette
>            Priority: Major
>         Attachments: Screen Shot 2018-10-03 at 5.11.49 PM.png
>
>
> A new version of FlaskAppBuilder was released 12 hours ago or so. The setup.py in v1-10-stable
pins the version of flask-appbuilder to be greater than 1.11.1. Version 1.12.0 breaks the
new UI (screenshot attached). 



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message